[Python-apps-commits] r8144 - in packages/graphite-carbon/trunk (26 files)

hggh-guest at users.alioth.debian.org hggh-guest at users.alioth.debian.org
Mon Feb 6 19:19:52 UTC 2012


    Date: Monday, February 6, 2012 @ 19:19:51
  Author: hggh-guest
Revision: 8144

[svn-inject] Applying Debian modifications (0.9.9-1) to trunk

Added:
  packages/graphite-carbon/trunk/debian/
  packages/graphite-carbon/trunk/debian/carbon-cache.init
  packages/graphite-carbon/trunk/debian/changelog
  packages/graphite-carbon/trunk/debian/compat
  packages/graphite-carbon/trunk/debian/control
  packages/graphite-carbon/trunk/debian/copyright
  packages/graphite-carbon/trunk/debian/graphite-carbon.config
  packages/graphite-carbon/trunk/debian/graphite-carbon.default
  packages/graphite-carbon/trunk/debian/graphite-carbon.dirs
  packages/graphite-carbon/trunk/debian/graphite-carbon.examples
  packages/graphite-carbon/trunk/debian/graphite-carbon.logrotate
  packages/graphite-carbon/trunk/debian/graphite-carbon.postinst
  packages/graphite-carbon/trunk/debian/graphite-carbon.postrm
  packages/graphite-carbon/trunk/debian/graphite-carbon.templates
  packages/graphite-carbon/trunk/debian/graphite-carbon.triggers
  packages/graphite-carbon/trunk/debian/patches/
  packages/graphite-carbon/trunk/debian/patches/carbon.conf.debian.patch
  packages/graphite-carbon/trunk/debian/patches/disable_install_opt.patch
  packages/graphite-carbon/trunk/debian/patches/series
  packages/graphite-carbon/trunk/debian/po/
  packages/graphite-carbon/trunk/debian/po/POTFILES.in
  packages/graphite-carbon/trunk/debian/po/templates.pot
  packages/graphite-carbon/trunk/debian/rules
  packages/graphite-carbon/trunk/debian/source/
  packages/graphite-carbon/trunk/debian/source/format
  packages/graphite-carbon/trunk/debian/watch


Property changes on: packages/graphite-carbon/trunk/debian
___________________________________________________________________
Added: mergeWithUpstream
   + 1

Added: packages/graphite-carbon/trunk/debian/carbon-cache.init
===================================================================
--- packages/graphite-carbon/trunk/debian/carbon-cache.init	                        (rev 0)
+++ packages/graphite-carbon/trunk/debian/carbon-cache.init	2012-02-06 19:19:51 UTC (rev 8144)
@@ -0,0 +1,105 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides:          carbon-cache
+# Required-Start:    $remote_fs $syslog $network
+# Required-Stop:     $remote_fs $syslog $network
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: Graphite Carbon backend daemon
+# Description:       backend data caching and persistence daemon for Graphite
+### END INIT INFO
+
+# Author: Jonas Genannt <jonas.genannt at capi2name.de>
+
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC="Graphite backend daemon"
+NAME=carbon-cache
+DAEMON=/usr/bin/$NAME
+PIDFILE=/var/run/$NAME.pid
+DAEMON_ARGS="--config=/etc/carbon/carbon.conf --pidfile=$PIDFILE --logdir=/var/log/carbon/ start"
+SCRIPTNAME=/etc/init.d/$NAME
+
+[ -x "$DAEMON" ] || exit 0
+
+[ -r /etc/default/graphite-carbon ] && . /etc/default/graphite-carbon
+
+. /lib/init/vars.sh
+
+. /lib/lsb/init-functions
+
+if [ ! -r /etc/carbon/carbon.conf ]; then
+	[ "$VERBOSE" != no ] && echo "Missing /etc/carbon/carbon.conf - not starting."
+	exit
+fi
+
+if [ "$CARBON_CACHE_RUN" != "yes" ] ; then
+	[ "$VERBOSE" != no ] && echo "carbon-cache disabled in /etc/default/graphite-carbon"
+	exit
+fi
+
+do_start()
+{
+	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
+		|| return 1
+	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
+		$DAEMON_ARGS \
+		|| return 2
+}
+
+do_stop()
+{
+	start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
+	RETVAL="$?"
+	[ "$RETVAL" = 2 ] && return 2
+
+	start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
+	[ "$?" = 2 ] && return 2
+
+	rm -f $PIDFILE
+	return "$RETVAL"
+}
+
+case "$1" in
+  start)
+	[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
+	do_start
+	case "$?" in
+		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+	esac
+	;;
+  stop)
+	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+	do_stop
+	case "$?" in
+		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+	esac
+	;;
+  status)
+       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
+       ;;
+  restart|force-reload)
+	log_daemon_msg "Restarting $DESC" "$NAME"
+	do_stop
+	case "$?" in
+	  0|1)
+		do_start
+		case "$?" in
+			0) log_end_msg 0 ;;
+			1) log_end_msg 1 ;;
+			*) log_end_msg 1 ;;
+		esac
+		;;
+	  *)
+		log_end_msg 1
+		;;
+	esac
+	;;
+  *)
+	echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
+	exit 3
+	;;
+esac
+
+:

Added: packages/graphite-carbon/trunk/debian/changelog
===================================================================
--- packages/graphite-carbon/trunk/debian/changelog	                        (rev 0)
+++ packages/graphite-carbon/trunk/debian/changelog	2012-02-06 19:19:51 UTC (rev 8144)
@@ -0,0 +1,5 @@
+graphite-carbon (0.9.9-1) UNRELEASED; urgency=low
+
+  * Initial release (Closes: #651233)
+
+ -- Jonas Genannt <jonas.genannt at capi2name.de>  Tue, 17 Jan 2012 20:35:27 +0100

Added: packages/graphite-carbon/trunk/debian/compat
===================================================================
--- packages/graphite-carbon/trunk/debian/compat	                        (rev 0)
+++ packages/graphite-carbon/trunk/debian/compat	2012-02-06 19:19:51 UTC (rev 8144)
@@ -0,0 +1 @@
+8

Added: packages/graphite-carbon/trunk/debian/control
===================================================================
--- packages/graphite-carbon/trunk/debian/control	                        (rev 0)
+++ packages/graphite-carbon/trunk/debian/control	2012-02-06 19:19:51 UTC (rev 8144)
@@ -0,0 +1,20 @@
+Source: graphite-carbon
+Section: python
+Priority: optional
+Maintainer: Python Applications Packaging Team <python-apps-team at lists.alioth.debian.org>
+Uploaders: Jonas Genannt <jonas.genannt at capi2name.de>
+Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~)
+Standards-Version: 3.9.2
+Homepage: https://launchpad.net/graphite
+XS-Python-Version: all
+Vcs-Svn: svn://svn.debian.org/python-apps/packages/graphite-carbon/trunk/
+Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/graphite-carbon/trunk/
+
+Package: graphite-carbon
+Architecture: all
+Depends: ${misc:Depends}, ${python:Depends}, adduser, python-whisper, python-twisted-core
+Description: backend data caching and persistence daemon for Graphite
+ Carbon is an Twisted daemon that handels incoming time-series
+ data and saves that data as Whisper database files on disc.
+ .
+ Carbon daemon is needed for an fully functional graphite-web app.

Added: packages/graphite-carbon/trunk/debian/copyright
===================================================================
--- packages/graphite-carbon/trunk/debian/copyright	                        (rev 0)
+++ packages/graphite-carbon/trunk/debian/copyright	2012-02-06 19:19:51 UTC (rev 8144)
@@ -0,0 +1,73 @@
+Format-Specification: http://anonscm.debian.org/viewvc/dep/web/deps/dep5/copyright-format.xml?revision=248
+Upstream-Contact: Chris Davis <chrismd at gmail.com>
+Source: http://pypi.python.org/pypi/carbon/
+Upstream-Name: Carbon
+
+Files: *
+Copyright: 2009 - 2011, Chris Davis <chrismd at gmail.com>
+License: Apache
+
+Files: lib/carbon/amqp_publisher.py
+Copyright: 2009, Lucio Torre <lucio.torre at canonical.com>
+License: Apache
+Comment: no license information in the file. copyright holder
+ has changed license to Apache on 2012-01-23.
+ .
+ https://bugs.launchpad.net/graphite/+bug/919428
+ .
+ Will be merged into upstream on the next release.
+
+Files: lib/carbon/amqp_listener.py
+Copyright: 2009, Lucio Torre <lucio.torre at canonical.com>
+License: Apache
+Comment: no license information in the file. copyright holder
+ has changed license to Apache on 2012-01-23.
+ .
+ https://bugs.launchpad.net/graphite/+bug/919428
+ .
+ Will be merged into upstream on the next release.
+
+Files: lib/carbon/amqp0-8.xml
+Copyright: 2009, AMQP Working Group
+License:
+ Redistribution and use in source and binary forms, with or without
+ modification, are permitted provided that the following conditions
+ are met:
+ 1. Redistributions of source code must retain the above copyright
+ notice, this list of conditions and the following disclaimer.
+ 2. Redistributions in binary form must reproduce the above copyright
+ notice, this list of conditions and the following disclaimer in the
+ documentation and/or other materials provided with the distribution.
+ 3. The name of the author may not be used to endorse or promote products
+ derived from this software without specific prior written permission.
+ .
+ THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+ IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+ INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+ NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+ THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+Files: debian/*
+Copyright: 2012, Jonas Genannt <jonas.genannt at capi2name.de>
+License: Apache
+
+License: Apache
+ Licensed under the Apache License, Version 2.0 (the "License");
+ you may not use this file except in compliance with the License.
+ You may obtain a copy of the License at
+ .
+ http://www.apache.org/licenses/LICENSE-2.0
+ .
+ Unless required by applicable law or agreed to in writing, software
+ distributed under the License is distributed on an "AS IS" BASIS,
+ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ See the License for the specific language governing permissions and
+ limitations under the License
+ .
+ On Debian systems, the full text of the Apache License can be found at
+ "/usr/share/common-licenses/Apache-2.0"

Added: packages/graphite-carbon/trunk/debian/graphite-carbon.config
===================================================================
--- packages/graphite-carbon/trunk/debian/graphite-carbon.config	                        (rev 0)
+++ packages/graphite-carbon/trunk/debian/graphite-carbon.config	2012-02-06 19:19:51 UTC (rev 8144)
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+set -e
+
+. /usr/share/debconf/confmodule

Added: packages/graphite-carbon/trunk/debian/graphite-carbon.default
===================================================================
--- packages/graphite-carbon/trunk/debian/graphite-carbon.default	                        (rev 0)
+++ packages/graphite-carbon/trunk/debian/graphite-carbon.default	2012-02-06 19:19:51 UTC (rev 8144)
@@ -0,0 +1,2 @@
+# Change to yes, to enable carbon-cache on boot
+CARBON_CACHE_RUN=no

Added: packages/graphite-carbon/trunk/debian/graphite-carbon.dirs
===================================================================
--- packages/graphite-carbon/trunk/debian/graphite-carbon.dirs	                        (rev 0)
+++ packages/graphite-carbon/trunk/debian/graphite-carbon.dirs	2012-02-06 19:19:51 UTC (rev 8144)
@@ -0,0 +1,5 @@
+etc/carbon
+etc/default
+var/lib/graphite
+var/lib/graphite/whisper
+var/log/carbon

Added: packages/graphite-carbon/trunk/debian/graphite-carbon.examples
===================================================================
--- packages/graphite-carbon/trunk/debian/graphite-carbon.examples	                        (rev 0)
+++ packages/graphite-carbon/trunk/debian/graphite-carbon.examples	2012-02-06 19:19:51 UTC (rev 8144)
@@ -0,0 +1 @@
+conf/*

Added: packages/graphite-carbon/trunk/debian/graphite-carbon.logrotate
===================================================================
--- packages/graphite-carbon/trunk/debian/graphite-carbon.logrotate	                        (rev 0)
+++ packages/graphite-carbon/trunk/debian/graphite-carbon.logrotate	2012-02-06 19:19:51 UTC (rev 8144)
@@ -0,0 +1,13 @@
+/var/log/carbon/*.log {
+	weekly
+	missingok
+	rotate 7
+	compress
+	delaycompress
+	notifempty
+	create 640 _graphite root
+	sharedscripts
+	postrotate
+		/etc/init.d/carbon-cache restart > /dev/null
+	endscript
+}

Added: packages/graphite-carbon/trunk/debian/graphite-carbon.postinst
===================================================================
--- packages/graphite-carbon/trunk/debian/graphite-carbon.postinst	                        (rev 0)
+++ packages/graphite-carbon/trunk/debian/graphite-carbon.postinst	2012-02-06 19:19:51 UTC (rev 8144)
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+if [ "$1" = configure ]; then
+	if ! getent passwd _graphite > /dev/null; then
+		adduser --system --quiet --home /var/lib/graphite --no-create-home \
+			--shell /bin/false --force-badname --group --gecos "Graphite User" _graphite
+	fi
+fi
+
+
+DIRS="/var/lib/graphite /var/lib/graphite/whisper /var/log/carbon"
+
+for i in $DIRS; do
+	if ! dpkg-statoverride --list $i >/dev/null 2>&1
+	then
+		dpkg-statoverride --update --add _graphite _graphite 4755 $i
+	fi
+done
+
+#DEBHELPER#

Added: packages/graphite-carbon/trunk/debian/graphite-carbon.postrm
===================================================================
--- packages/graphite-carbon/trunk/debian/graphite-carbon.postrm	                        (rev 0)
+++ packages/graphite-carbon/trunk/debian/graphite-carbon.postrm	2012-02-06 19:19:51 UTC (rev 8144)
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+DIRS="/var/lib/graphite /var/lib/graphite/whisper /var/log/carbon"
+
+for i in $DIRS; do
+	if ! dpkg-statoverride --list $i >/dev/null 2>&1
+	then
+		dpkg-statoverride --remove $i
+	fi
+done
+
+if [ "$1" = purge ]; then
+	rm -rf /var/log/carbon
+	db_input high graphite-carbon/postrm_remove_databases || true
+	db_go || true
+	db_get graphite-carbon/postrm_remove_databases || true
+	if [ "$RET" = "true" ]; then
+		rm -rf /var/lib/graphite/whisper
+	fi
+fi
+
+#DEBHELPER#

Added: packages/graphite-carbon/trunk/debian/graphite-carbon.templates
===================================================================
--- packages/graphite-carbon/trunk/debian/graphite-carbon.templates	                        (rev 0)
+++ packages/graphite-carbon/trunk/debian/graphite-carbon.templates	2012-02-06 19:19:51 UTC (rev 8144)
@@ -0,0 +1,9 @@
+Template: graphite-carbon/postrm_remove_databases
+Type: boolean
+Default: false
+_Description: Remove all Whisper databases?
+ The /var/lib/graphite/whisper directory which contains the Whisper database
+ files is about to be removed.
+ .
+ If you are removing Carbon package in order to later install a more
+ recent version the data should be kept.

Added: packages/graphite-carbon/trunk/debian/graphite-carbon.triggers
===================================================================
--- packages/graphite-carbon/trunk/debian/graphite-carbon.triggers	                        (rev 0)
+++ packages/graphite-carbon/trunk/debian/graphite-carbon.triggers	2012-02-06 19:19:51 UTC (rev 8144)
@@ -0,0 +1 @@
+activate  twisted-plugins-cache

Added: packages/graphite-carbon/trunk/debian/patches/carbon.conf.debian.patch
===================================================================
--- packages/graphite-carbon/trunk/debian/patches/carbon.conf.debian.patch	                        (rev 0)
+++ packages/graphite-carbon/trunk/debian/patches/carbon.conf.debian.patch	2012-02-06 19:19:51 UTC (rev 8144)
@@ -0,0 +1,42 @@
+Description: change default values for debian
+Author: Jonas Genannt <jonas.genannt at capi2name.de>
+Upstream: no
+
+diff --git a/conf/carbon.conf.example b/conf/carbon.conf.example
+index 2124428..6a1695d 100644
+--- a/conf/carbon.conf.example
++++ b/conf/carbon.conf.example
+@@ -14,26 +14,17 @@
+ # To change other directory paths, add settings to this file. The following
+ # configuration variables are available with these default values:
+ #
+-#   STORAGE_DIR    = $GRAPHITE_STORAGE_DIR
+-#   LOCAL_DATA_DIR = STORAGE_DIR/whisper/
+-#   WHITELISTS_DIR = STORAGE_DIR/lists/
+-#   CONF_DIR       = STORAGE_DIR/conf/
+-#   LOG_DIR        = STORAGE_DIR/log/
+-#   PID_DIR        = STORAGE_DIR/
+-#
+-# For FHS style directory structures, use:
+-#
+-#   STORAGE_DIR    = /var/lib/carbon/
+-#   CONF_DIR       = /etc/carbon/
+-#   LOG_DIR        = /var/log/carbon/
+-#   PID_DIR        = /var/run/
+-#
+-#LOCAL_DATA_DIR = /opt/graphite/storage/whisper/
++STORAGE_DIR    = /var/lib/graphite/
++CONF_DIR       = /etc/carbon/
++LOG_DIR        = /var/log/carbon/
++PID_DIR        = /var/run/
++
++LOCAL_DATA_DIR = /var/lib/graphite/whisper/
+ 
+ # Specify the user to drop privileges to
+ # If this is blank carbon runs as the user that invokes it
+ # This user must have write access to the local data directory
+-USER =
++USER = _graphite
+ 
+ # Limit the size of the cache to avoid swapping or becoming CPU bound.
+ # Sorts and serving cache queries gets more expensive as the cache grows.

Added: packages/graphite-carbon/trunk/debian/patches/disable_install_opt.patch
===================================================================
--- packages/graphite-carbon/trunk/debian/patches/disable_install_opt.patch	                        (rev 0)
+++ packages/graphite-carbon/trunk/debian/patches/disable_install_opt.patch	2012-02-06 19:19:51 UTC (rev 8144)
@@ -0,0 +1,12 @@
+Description: Do not install stuff to /opt
+Author: Jonas Genannt <jonas.genannt at capi2name.de>
+Upstream: no
+
+diff --git a/setup.cfg b/setup.cfg
+index aeccfb2..e69de29 100644
+--- a/setup.cfg
++++ b/setup.cfg
+@@ -1,3 +0,0 @@
+-[install]
+-prefix = /opt/graphite
+-install-lib = %(prefix)s/lib

Added: packages/graphite-carbon/trunk/debian/patches/series
===================================================================
--- packages/graphite-carbon/trunk/debian/patches/series	                        (rev 0)
+++ packages/graphite-carbon/trunk/debian/patches/series	2012-02-06 19:19:51 UTC (rev 8144)
@@ -0,0 +1,2 @@
+disable_install_opt.patch
+carbon.conf.debian.patch

Added: packages/graphite-carbon/trunk/debian/po/POTFILES.in
===================================================================
--- packages/graphite-carbon/trunk/debian/po/POTFILES.in	                        (rev 0)
+++ packages/graphite-carbon/trunk/debian/po/POTFILES.in	2012-02-06 19:19:51 UTC (rev 8144)
@@ -0,0 +1 @@
+[type: gettext/rfc822deb] graphite-carbon.templates

Added: packages/graphite-carbon/trunk/debian/po/templates.pot
===================================================================
--- packages/graphite-carbon/trunk/debian/po/templates.pot	                        (rev 0)
+++ packages/graphite-carbon/trunk/debian/po/templates.pot	2012-02-06 19:19:51 UTC (rev 8144)
@@ -0,0 +1,40 @@
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL at ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: graphite-carbon at packages.debian.org\n"
+"POT-Creation-Date: 2012-02-06 20:15+0100\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL at ADDRESS>\n"
+"Language-Team: LANGUAGE <LL at li.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../graphite-carbon.templates:1001
+msgid "Remove all Whisper databases?"
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../graphite-carbon.templates:1001
+msgid ""
+"The /var/lib/graphite/whisper directory which contains the Whisper database "
+"files is about to be removed."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../graphite-carbon.templates:1001
+msgid ""
+"If you are removing Carbon package in order to later install a more recent "
+"version the data should be kept."
+msgstr ""

Added: packages/graphite-carbon/trunk/debian/rules
===================================================================
--- packages/graphite-carbon/trunk/debian/rules	                        (rev 0)
+++ packages/graphite-carbon/trunk/debian/rules	2012-02-06 19:19:51 UTC (rev 8144)
@@ -0,0 +1,23 @@
+#!/usr/bin/make -f
+
+%:
+	dh $@ --with python2
+
+override_dh_install:
+	mv debian/graphite-carbon/usr/bin/carbon-cache.py debian/graphite-carbon/usr/bin/carbon-cache
+	mv debian/graphite-carbon/usr/bin/carbon-relay.py debian/graphite-carbon/usr/bin/carbon-relay
+	mv debian/graphite-carbon/usr/bin/carbon-aggregator.py debian/graphite-carbon/usr/bin/carbon-aggregator
+	mv debian/graphite-carbon/usr/bin/carbon-client.py debian/graphite-carbon/usr/bin/carbon-client
+	mv debian/graphite-carbon/usr/bin/validate-storage-schemas.py debian/graphite-carbon/usr/bin/validate-storage-schemas
+	# clean unneeded stuff
+	[ -d debian/graphite-carbon/usr/conf ] && rm -r debian/graphite-carbon/usr/conf
+	[ -d debian/graphite-carbon/usr/storage ] && rm -r debian/graphite-carbon/usr/storage
+	# install global default file for the three carbon daemons
+	cp debian/graphite-carbon.default debian/graphite-carbon/etc/default/graphite-carbon
+	# install config files
+	cp conf/carbon.conf.example debian/graphite-carbon/etc/carbon/carbon.conf
+	cp conf/storage-schemas.conf.example debian/graphite-carbon/etc/carbon/storage-schemas.conf
+	dh_install
+
+override_dh_installinit:
+	dh_installinit --name=carbon-cache


Property changes on: packages/graphite-carbon/trunk/debian/rules
___________________________________________________________________
Added: svn:executable
   + *

Added: packages/graphite-carbon/trunk/debian/source/format
===================================================================
--- packages/graphite-carbon/trunk/debian/source/format	                        (rev 0)
+++ packages/graphite-carbon/trunk/debian/source/format	2012-02-06 19:19:51 UTC (rev 8144)
@@ -0,0 +1 @@
+3.0 (quilt)

Added: packages/graphite-carbon/trunk/debian/watch
===================================================================
--- packages/graphite-carbon/trunk/debian/watch	                        (rev 0)
+++ packages/graphite-carbon/trunk/debian/watch	2012-02-06 19:19:51 UTC (rev 8144)
@@ -0,0 +1,2 @@
+version=3
+http://pypi.python.org/packages/source/c/carbon/carbon-(.+)\.tar\.gz




More information about the Python-apps-commits mailing list